import request from '@/utils/request'

// 查询客服列表
export function listPhone(query) {
  return request({
    url: '/drivingSchool/system/phone/list',
    method: 'get',
    params: query
  })
}

// 查询客服详细
export function getPhone(id) {
  return request({
    url: '/drivingSchool/system/phone/' + id,
    method: 'get'
  })
}

// 新增客服
export function addPhone(data) {
  return request({
    url: '/drivingSchool/system/phone',
    method: 'post',
    data: data
  })
}

// 修改客服
export function updatePhone(data) {
  return request({
    url: '/drivingSchool/system/phone',
    method: 'put',
    data: data
  })
}

// 删除客服
export function delPhone(id) {
  return request({
    url: '/drivingSchool/system/phone/' + id,
    method: 'delete'
  })
}
